﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3014C: (1 year) VER IEEE /9500+1Hd
DATE:                  2010-06-03 12:20:36
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       282
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3014C
# 
#  Source(s):
#        TDS3000C Series Digital Phosphor Oscilloscopes,
#        Specifications and Performance Verification
#        Technical Reference, 071-2508-01
# 
# Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000C Check Firmware Version
#        Sub Datron 9500 Configuration Query IEEE
#        Sub Tek TDS3000C Channel Select IEEE
#        Sub Tek TDS3000C Set Bandwidth & Number of Channels
#        Sub Tek TDS3000C Sig Path Comp Cal IEEE
#        Sub Tek TDS3000C Self-Test IEEE
#        Sub Tek TDS3000C (1 yr) DCV IEEE /9500
#        Sub Tek TDS3000C (1 yr) Bandwidth IEEE /9500/600
#        Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /9500/600
#        Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /9500/600
#        Sub Tek TDS3000C (1 yr) Sample Rate IEEE /9500
#        Sub Tek TDS3000C Trigger Chk and Level Adj IEEE
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        TDS3GV GPIB/RS-232/VGA Communication Module
#        50 Ohm feed through teminator, one to four sets
#           (if one to four sets 9560 is configured)
#        Adapter SMA(f)-BNC(m), one to four sets
#           (if one to four sets 9560 is configured)
#
# The procedure was tested using:
#        Model No  : TDS3014C
#        Serial No : C011177
#        Options   : TDS3GV:v1.00 TDS3FFT :v1.00 TDS3TRG:v1.00
#        Firmware  : V4.05
#
# Average run time during testing : 40 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         500MH                        1Vpp           LS    S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.20x"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Verification Method (No NTHROW)
  1.013  CALL         Sub Datron 9500 Configuration Query IEEE

  1.014  HEAD         EQUIPMENT REQUIREMENTS
  1.015  OPBR         -z Do you want to REVIEW the list of additional
  1.015  OPBR         equipment and/or accessories required?

  1.016  IF           MEM1

  1.017  IF           @HeadTypeCh1 != "9560"
  1.018  DISP         - TDS3GV GPIB/RS-232/VGA Communication Module

  1.019  ELSE
  1.020  DISP         - TDS3GV GPIB/RS-232/VGA Communication Module
  1.020  DISP         - 50 Ohm feed through teminator, one to four sets
  1.020  DISP         [32]        (if one to four sets 9560 is configured)
  1.020  DISP         - Adapter SMA(f)-BNC(m), one to four sets
  1.020  DISP         [32]        (if one to four sets 9560 is configured)
  1.021  ENDIF

  1.022  ENDIF

  1.023  HEAD         PRELIMINARY INSTRUCTIONS
  1.024  TARGET
  1.025  DISP         Ensure a minimum UUT warm-up time of at least
  1.025  DISP         20 minutes has been allowed to elapse, prior
  1.025  DISP         to beginning verification.

  1.026  CALL         Sub Tek TDS3000C SetUp IEEE
  1.027  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.028  MATH         @UUT_Manufacturer = "Tektronix"
  1.029  MATH         @UUT_Model        = "TDS 3014C"
  1.030  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.031  JMPL         END                           @Abort

  1.032  CALL         Sub Tek TDS3000C Check Firmware Version
  1.033  JMPL         END                           @Abort

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   DCV GAIN (CH1)                     DCV GAIN (CH1)
#    4.   DCV GAIN (CH2)                     BANDWIDTH (CH1)
#    5.   DCV GAIN (CH3)                     TRIGGER SENS FULL BW (CH1)
#    6.   DCV GAIN (CH4)                     TRIGGER SENS 50 MHz (CH1)
#    7.   BANDWIDTH (CH1)                    SAMPLE RATE AND DELAY TIME ACC
#    8.   BANDWIDTH (CH2)                    DCV GAIN (CH2)
#    9.   BANDWIDTH (CH3)                    BANDWIDTH (CH2)
#   10.   BANDWIDTH (CH4)                    TRIGGER SENS FULL BW (CH2)
#   11.   TRIGGER SENS FULL BW (CH1)         TRIGGER SENS 50 MHz (CH2)
#   12.   TRIGGER SENS FULL BW (CH2)         DCV GAIN (CH3)
#   13.   TRIGGER SENS FULL BW (CH3)         BANDWIDTH (CH3)
#   14.   TRIGGER SENS FULL BW (CH4)         TRIGGER SENS FULL BW (CH3)
#   15.   TRIGGER SENS 50 MHz (CH1)          TRIGGER SENS 50 MHz (CH3)
#   16.   TRIGGER SENS 50 MHz (CH2)          DCV GAIN (CH4)
#   17.   TRIGGER SENS 50 MHz (CH3)          BANDWIDTH (CH4)
#   18.   TRIGGER SENS 50 MHz (CH4)          TRIGGER SENS FULL BW (CH4)
#   19.   SAMPLE RATE AND DELAY TIME ACC     TRIGGER SENS 50 MHz (CH4)

  1.034  CALL         Sub Tek TDS3000C Set Bandwidth & Number of Channels
  1.035  CALL         Sub Tek TDS3000C Sig Path Comp Cal IEEE
  1.036  JMPL         END                           @Abort

  1.037  CALL         Sub Tek TDS3000C Self-Test IEEE
  1.038  JMPL         END                           @Abort

  1.039  IF           @HeadTypeCh1 == "9560"
  1.040  MATH         Ch1Adapter = " via SMA(f)-BNC(m) adapter"
  1.041  ELSE
  1.042  MATH         Ch1Adapter = ""
  1.043  ENDIF

  1.044  DISP         Connect the 9500 CH1 Active Head to
  1.044  DISP         UUT CH 1[V Ch1Adapter].

  1.045  MATH         @Chan = 1
  1.046  CALL         Sub Tek TDS3000C (1 yr) DCV IEEE /9500
  1.047  JMPL         BANDWIDTH_CH1

  1.048  LABEL        DCV_CH2
  1.049  DISP         Connect the 9500 CH1 Active Head to
  1.049  DISP         UUT CH 2[V Ch1Adapter].
  1.050  MATH         @Chan = 2
  1.051  CALL         Sub Tek TDS3000C (1 yr) DCV IEEE /9500
  1.052  JMPL         BANDWIDTH_CH2

  1.053  LABEL        DCV_CH3
  1.054  DISP         Connect the 9500 CH1 Active Head to
  1.054  DISP         UUT CH 3[V Ch1Adapter].
  1.055  MATH         @Chan = 3
  1.056  CALL         Sub Tek TDS3000C (1 yr) DCV IEEE /9500
  1.057  JMPL         BANDWIDTH_CH3

  1.058  LABEL        DCV_CH4
  1.059  DISP         Connect the 9500 CH1 Active Head to
  1.059  DISP         UUT CH 4[V Ch1Adapter].
  1.060  MATH         @Chan = 4
  1.061  CALL         Sub Tek TDS3000C (1 yr) DCV IEEE /9500
  1.062  JMPL         BANDWIDTH_CH4

  1.063  LABEL        BANDWIDTH_CH1
  1.064  MATH         @Chan = 1
  1.065  CALL         Sub Tek TDS3000C (1 yr) Bandwidth IEEE /9500/600
  1.066  JMPL         TRIG_FULL_BW_CH1

  1.067  LABEL        BANDWIDTH_CH2
  1.068  MATH         @Chan = 2
  1.069  CALL         Sub Tek TDS3000C (1 yr) Bandwidth IEEE /9500/600
  1.070  JMPL         TRIG_FULL_BW_CH2

  1.071  LABEL        BANDWIDTH_CH3
  1.072  MATH         @Chan = 3
  1.073  CALL         Sub Tek TDS3000C (1 yr) Bandwidth IEEE /9500/600
  1.074  JMPL         TRIG_FULL_BW_CH3

  1.075  LABEL        BANDWIDTH_CH4
  1.076  MATH         @Chan = 4
  1.077  CALL         Sub Tek TDS3000C (1 yr) Bandwidth IEEE /9500/600
  1.078  JMPL         TRIG_FULL_BW_CH4

  1.079  LABEL        TRIG_FULL_BW_CH1
  1.080  MATH         @Chan = 1
  1.081  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /9500/600
  1.082  JMPL         TRIG_50MH_CH1

  1.083  LABEL        TRIG_FULL_BW_CH2
  1.084  MATH         @Chan = 2
  1.085  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /9500/600
  1.086  JMPL         TRIG_50MH_CH2

  1.087  LABEL        TRIG_FULL_BW_CH3
  1.088  MATH         @Chan = 3
  1.089  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /9500/600
  1.090  JMPL         TRIG_50MH_CH3

  1.091  LABEL        TRIG_FULL_BW_CH4
  1.092  MATH         @Chan = 4
  1.093  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /9500/600
  1.094  JMPL         TRIG_50MH_CH4

  1.095  LABEL        TRIG_50MH_CH1
  1.096  MATH         @Chan = 1
  1.097  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /9500/600
  1.098  JMPL         SAMPLE_RATE

  1.099  LABEL        TRIG_50MH_CH2
  1.100  MATH         @Chan = 2
  1.101  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /9500/600
  1.102  JMPL         DCV_CH3

  1.103  LABEL        TRIG_50MH_CH3
  1.104  MATH         @Chan = 3
  1.105  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /9500/600
  1.106  JMPL         DCV_CH4

  1.107  LABEL        TRIG_50MH_CH4
  1.108  MATH         @Chan = 4
  1.109  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /9500/600
  1.110  JMPL         END

  1.111  LABEL        SAMPLE_RATE
  1.112  MATH         @Chan = 1
  1.113  CALL         Sub Tek TDS3000C (1 yr) Sample Rate IEEE /9500
  1.114  JMPL         DCV_CH2

  1.115  LABEL        END
  1.116  HEAD         -2

  1.117  IF           @Abort
  1.118  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.119  ELSE
  1.120  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.121  ENDIF

  1.122  END
